package objects
{
	import core.Assets;
	import starling.display.Image;
	import starling.display.Sprite;
	import starling.events.Event;
	
	/**
	 * ...
	 * @author miyijura
	 */
	public class Fruits extends Sprite
	{
		public var fruit:Image;
		public var fruitType:uint;
		
		public function Fruits()
		{
			addEventListener(Event.ADDED_TO_STAGE, init);
			
		}
		
		private function init(e:Event):void
		{
			removeEventListener(Event.ADDED_TO_STAGE, init);
			//usamos una variable numerica para seleccionar una de las 22 texturas de frutas que tenemos disponibles
			fruitType = Math.ceil(Math.random() * 22);
			//aplicamos la textura
			fruit = new Image(Assets.ta.getTexture("fruit_" + fruitType+".png"));
			//fruit = new Image(Assets.ta.getTexture("fruit_0.png"));
			//movemos el pivote al centro de la imagen, esto nos servira en las futuras detecciones de colisiones
			fruit.pivotX = fruit.width * 0.5;
			fruit.pivotY = fruit.height * 0.5;
			//agregamos al display list
			addChild(fruit);
		}
	
	}

}